curl --request PATCH \
--url https://api.mottostreaming.com/iam/users/v1/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"given_name": "<string>",
"family_name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"profile_image_url": "<string>"
}
'import requests
url = "https://api.mottostreaming.com/iam/users/v1/{user_id}"
payload = {
"project_id": "<string>",
"given_name": "<string>",
"family_name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"profile_image_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '<string>',
given_name: '<string>',
family_name: '<string>',
email: '<string>',
phone_number: '<string>',
profile_image_url: '<string>'
})
};
fetch('https://api.mottostreaming.com/iam/users/v1/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user": {
"project_id": "<string>",
"id": "<string>",
"given_name": "<string>",
"family_name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"profile_image_url": "<string>",
"role": "ROLE_UNSPECIFIED",
"oidc_user_id": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Update user
UpdateUser
Updates the user object.
Important: if the user is registered via OIDC, this can only be used to update the role.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
A user represents someone that wants to identify themselves within the Motto Content Delivery API.
Important: not to be confused with Account which is an account of the Motto Studio API.
Important: this will be a partial object if the User was registered via OIDC, since such PII is not stored in Motto.
The project to which this user belongs.
Given name
Family name
Email address.
Phone number.
Profile picture URL.
Role of the user.
ROLE_UNSPECIFIED, ROLE_DEFAULT, ROLE_TESTER, ROLE_VIP Response
OK
A user represents someone that wants to identify themselves within the Motto Content Delivery API.
Important: not to be confused with Account which is an account of the Motto Studio API.
Important: this will be a partial object if the User was registered via OIDC, since such PII is not stored in Motto.
Show child attributes
Show child attributes

